Skip to content
Last updated

StartTaskTimer

Starts a timer for a project

Request Parameters

ParameterTypeDescriptionRequired
actionstring"StartTaskTimer"Required
timeridintThe id of the task to be endedRequired
projectidintThe id of the project for the task timerRequired
adminidintThe admin id to associate the timer withOptional
start_timeintThe start time as a unix time stamp. Defaults to time() if not providedOptional
end_timeintThe start time as a unix time stamp.Optional

Response Parameters

ParameterTypeDescription
resultstringThe result of the operation: success or error
messagestring'Start Timer Has Been Set'

Example Request (CURL)

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'StartTaskTimer',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'projectid' => '1',
            'timerid' => '1',
            'adminid' => '2',
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);

Example Request (Local API)

$command = 'StartTaskTimer';
$postData = array(
    'projectid' => '1',
    'timerid' => '1',
    'adminid' => '2',
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);

Example Response JSON

{
    "result": "success",
    "message": "Start Timer Has Been Set"
}

Error Responses

Possible error condition responses include:

  • Project ID is Required
  • Project ID Not Found
  • Timer ID Not Set
  • Timer ID Not Found
  • Admin ID Not Found

Version History

VersionChangelog
1.0Initial Version